<?php
class navigation{
  
  protected $PaginaActual;
  protected $TamanioPagina;
  protected $TotalPagina;
  protected $TotalRegistros;
  
  public function getPaginaActual(){
    if($this->PaginaActual){
      return $this->PaginaActual; 
    }else{
      return 1;
    }
  }
  public function setPaginaActual($v){
    $this->PaginaActual = $v;
  }
  
  public function getTamanioPagina(){
    return $this->TamanioPagina;
  }
  public function setTamanioPagina($v){
    $this->TamanioPagina = $v;
  }
  
  public function getTotalPagina(){
		if ($this->getTamanioPagina() > 0){
			return ceil($this->getTotalRegistros() / $this->getTamanioPagina());
		}
  }
  
  public function getTotalRegistros(){
    return $this->TotalRegistros;
  }
  public function setTotalRegistros($v){
    $this->TotalRegistros = $v;
  }
  
  public function ContruirHTMLNavigation($updateId, $paramUrl){
    
    use_helper('Javascript');
    $nameFunction = "reloadNav_".$updateId;
    ?>
    
    <script>
    <?=$nameFunction?> = function(ind){
      var paramUrl = "<?=$paramUrl?>";
      var cadena = paramUrl!=""?'page='+ind+'&'+paramUrl:'page='+ind;
      concatValueStr(cadena);
    }
    </script>
    <?
      
    $paginaActual   = $this->getPaginaActual();
    $tamanoPagina   = $this->getTamanioPagina();
    $totalPagina    = $this->getTotalPagina();
    $totalRegistros = $this->getTotalRegistros();
    
    //echo "Total Registros = ".$navigation->getTotalRegistros()."<br>";
    //echo "Total Pagina = ".$totalPagina."<br>";
    
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    ($paginaActual) > 1 ? $actionFirst = "onclick='".$nameFunction."(1)' style='cursor:pointer;'" : $actionFirst = "";
    ($paginaActual) > 1 ? $actionPrev = "onclick='".$nameFunction."(".($paginaActual-1).")' style='cursor:pointer;'" : $actionPrev = "";
    ($paginaActual) > 1 ? $class1 = "control_act" : $class1 = "control_des";
    ($paginaActual) > 1 ? $imgFirst = "ctrl_r2_c1.gif" : $imgFirst = "ctrl_r1_c1.gif";
    ($paginaActual) > 1 ? $imgPrev = "ctrl_r2_c2.gif" : $imgPrev = "ctrl_r1_c2.gif";
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    
    echo '<label class="'.$class1.'" '.$actionFirst.'><img width="11" height="10" border="0" align="absbottom" class="control" alt="Ir al Primero" src="/images/common/buttons/'.$imgFirst.'"/> Start </label>';
    echo '<label class="'.$class1.'" '.$actionPrev.'><img width="11" height="10" border="0" align="absbottom" class="control" alt="Ir al Anterior" src="/images/common/buttons/'.$imgPrev.'"/> Previous  </label>';
    
    echo "<label class=\"control\">&nbsp; (".((($paginaActual-1)*$tamanoPagina)+1)." - ".(($paginaActual)<$totalPagina?($tamanoPagina*$paginaActual):$totalRegistros)." de ".$totalRegistros.") &nbsp;</label>";
    
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    ($paginaActual) < $totalPagina ? $actionEnd = "onclick='".$nameFunction."(".$totalPagina.")' style='cursor:pointer;'" : $actionEnd = "";
    ($paginaActual) < $totalPagina ? $actionNext = "onclick='".$nameFunction."(".($paginaActual+1).")' style='cursor:pointer;'" : $actionNext = "";
    ($paginaActual) < $totalPagina ? $class2 = "control_act" : $class2 = "control_des";
    ($paginaActual) < $totalPagina ? $imgEnd = "ctrl_r1_c4.gif" : $imgEnd = "ctrl_r2_c4.gif";
    ($paginaActual) < $totalPagina ? $imgNext = "ctrl_r1_c3.gif" : $imgNext = "ctrl_r2_c3.gif";
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    
    echo '<label class="'.$class2.'" '.$actionNext.'>Next<img width="11" height="10" border="0" align="absbottom" class="control" alt="Ir al Siguiente" src="/images/common/buttons/'.$imgNext.'"/></label>';
    echo '<label class="'.$class2.'" '.$actionEnd.'>End <img width="11" height="10" border="0" align="absbottom" class="control" alt="Ir al Ultimo" src="/images/common/buttons/'.$imgEnd.'"/></label>';    
    
  }
  
}
